List deactivated team members
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"team_members": [
{
"id": "3c4d5e6f-7a8b-4c9d-0e1f-2a3b4c5d6e7f",
"email": "sam@example.com",
"first_name": "Sam",
"last_name": "Smith",
"time_zone": "Asia/Kolkata",
"profile_image_url": null,
"active": false,
"organization_role": "Standard"
}
],
"pagination": {
"total_records": 1,
"total_pages": 1,
"current_page_number": 1,
"page_size": 30
}
}Team members
List deactivated team members
List the team members who are deactivated, by email. When page_number is omitted, all deactivated team members are returned.
GET
/
deactivated_team_members
List deactivated team members
curl --request GET \
--url https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/deactivated_team_members"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"team_members": [
{
"id": "3c4d5e6f-7a8b-4c9d-0e1f-2a3b4c5d6e7f",
"email": "sam@example.com",
"first_name": "Sam",
"last_name": "Smith",
"time_zone": "Asia/Kolkata",
"profile_image_url": null,
"active": false,
"organization_role": "Standard"
}
],
"pagination": {
"total_records": 1,
"total_pages": 1,
"current_page_number": 1,
"page_size": 30
}
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Page of results to retrieve, starting from 1. When omitted, all results are returned in one response and page_size is ignored.
Number of results per page. Defaults to 30 when omitted.
Response
200 - application/json
OK - Request succeeded